Qt 5.7 | Qt 3D | C++ Classes | QComputeCommand

Qt 5.7.1 Reference Documentation

# QComputeCommand Class

(Qt3DRender::QComputeCommand)

The QComputerCommand class More...

Header: | #include <QComputeCommand>
qmake: | QT += 3drender
Since: | Qt 5.7
Inherits: | Qt3DCore::QComponent

- List of all members, including inherited members

## Properties

- workGroupX : int
- workGroupY : int
- workGroupZ : int

- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QComputeCommand(Qt3DCore::QNode *parent = nullptr)
int | workGroupX() const
int | workGroupY() const
int | workGroupZ() const

- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setWorkGroupX(int workGroupX)
void | setWorkGroupY(int workGroupY)
void | setWorkGroupZ(int workGroupZ)

- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | workGroupXChanged()
void | workGroupYChanged()
void | workGroupZChanged()

- 1 signal inherited from Qt3DCore::QComponent
- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

The QComputerCommand class

## Property Documentation

### workGroupX : int

Access functions:

int | workGroupX() const
void | setWorkGroupX(int workGroupX)

Notifier signal:

void | workGroupXChanged()

### workGroupY : int

Access functions:

int | workGroupY() const
void | setWorkGroupY(int workGroupY)

Notifier signal:

void | workGroupYChanged()

### workGroupZ : int

Access functions:

int | workGroupZ() const
void | setWorkGroupZ(int workGroupZ)

Notifier signal:

void | workGroupZChanged()

## Member Function Documentation

### QComputeCommand::QComputeCommand(Qt3DCore::QNode *parent = nullptr)

The constructor creates a new Qt3DRender::QComputeCommand instance with the specified parent. parent

### `[slot]` void QComputeCommand::setWorkGroupX(int workGroupX)

Sets the workgroup for the first dimension to workGroupX. workGroupX

Note: Setter function for property workGroupX.

See also workGroupX().

### `[slot]` void QComputeCommand::setWorkGroupY(int workGroupY)

Sets the workgroup for the second dimension to workGroupY. workGroupY

Note: Setter function for property workGroupY.

See also workGroupY().

### `[slot]` void QComputeCommand::setWorkGroupZ(int workGroupZ)

Sets the workgroup for the third dimension to workGroupZ. workGroupZ

Note: Setter function for property workGroupZ.

See also workGroupZ().

### int QComputeCommand::workGroupX() const

Returns the workgroup size for the first dimension.

Note: Getter function for property workGroupX.

See also setWorkGroupX().

### int QComputeCommand::workGroupY() const

Returns the workgroup size for the second dimension.

Note: Getter function for property workGroupY.

See also setWorkGroupY().

### int QComputeCommand::workGroupZ() const

Returns the workgroup size for the third dimension.

Note: Getter function for property workGroupZ.

See also setWorkGroupZ().